<?php

    $emercury_lists = Emercury_API::getAudience();
    $error_message = '';
    if($emercury_lists['code'] == 'error' || $emercury_lists['message']->error) {

        $error_message = !is_object($emercury_lists['message']) ? $emercury_lists['message'] : NULL;
        $error_message = $error_message ? $error_message : $emercury_lists['message']->error;
    } else {
        $emercury_lists = $emercury_lists['message']->audiences->audience;
    }

?>

	<h2 id="title-advanced-options-emercury-form">Emercury Forms - Advanced Options </h2>
    <form id="advanced-options-emercury-form" method="POST">
    <input type="hidden" value="emercury_forms_advanced_options" name="action">
        <div class="widget-liquid-left" style="width: 100%;">
            <div id="widgets-right" class="wp-clearfix">
                <div class="sidebars-column-1">
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <td>
                                    <input type="checkbox" name="emercury_form_add_subscriber_comment" value="1"<?php checked( 1 == get_option('emercury_form_add_subscriber_comment') ); ?> />
                                    <label for="email">Add Subscribers when visitors leave a comment.</label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label for="emercury_forms_sec_id">Add Subscriber to: </label>

                                    <?php if($error_message) :

                                        echo '<p>'. $error_message .'</p>';

                                    else : ?>

                                        <select class="list-for-comments" name="emercury_form_select_list_subscriber_comment" style="width: 100%;" >
                                            <option value="">Please select list</option>
                                            <?php foreach ($emercury_lists as $list) : ?>

                                                <option <?php echo get_option('emercury_form_select_list_subscriber_comment') == (string) $list->id ? 'selected' : '' ?> 
                                                    value="<?php echo $list->id; ?>"><?php echo $list->name; ?></option>
                                            <?php endforeach; ?>
                                        </select>

                                    <?php endif; ?>

                                </td>
                            </tr>
                            <tr>
                                <td id="emercury_form_message_commets"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="sidebars-column-2">
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <td>
                                    <input type="checkbox" name="emercury_form_add_subscriber_signup" value="1"<?php checked( 1 == get_option('emercury_form_add_subscriber_signup') ); ?> />
                                    <label for="email">Add Subscribers when visitors register for your website.</label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label for="emercury_forms_sec_id">Add Subscriber to: </label>
                                    <?php if($error_message) :
                                        
                                        echo '<p>'. $error_message .'</p>';

                                    else : ?>

                                        <select class="list-for-comments" name="emercury_form_select_list_subscriber_signup" style="width: 100%;" >
                                            <option value="">Please select list</option>
                                            <?php foreach ($emercury_lists as $list) : ?>

                                                <option <?php echo get_option('emercury_form_select_list_subscriber_signup') == (string) $list->id ? 'selected' : '' ?> 
                                                    value="<?php echo $list->id; ?>"><?php echo $list->name; ?></option>
                                            <?php endforeach; ?>
                                        </select>

                                    <?php endif; ?>

                                </td>
                            </tr>
                            <tr>
                                <td id="emercury_form_message_signup"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <p class="submit">
            <input class="button button-primary" type="submit" value="Save">
        </p>

    </form>
